Subject: Re: [v6ops] (S)NTP in 6204bis

From: "Hemant Singh (shemant)" <[email-masked]>
Date: Tue, 1 May 2012 06:30:33 -0500

Thanks, Hans.  I am sold.  Rfc6204bis should change from RFC 4075 to RFC 5908 because RFC 5908 uses a FQDN for the NTP server.  IETF recommends use of FQDN instead of an IPv6 address in many other protocols.  The next revision of rfc6204bis will make the change. 

Hemant

-----Original Message-----
From: STARK, BARBARA H [mailto:[email-masked]] 
Sent: Monday, April 30, 2012 9:30 AM
To: Hans Liu; Hemant Singh (shemant)
Cc: [email-masked]
Subject: RE: [v6ops] (S)NTP in 6204bis

Yes, thanks. 5908.
Barbara

> -----Original Message-----
> From: Hans Liu [mailto:[email-masked]]
> Sent: Monday, April 30, 2012 9:09 AM
> To: Hemant Singh (shemant)
> Cc: STARK, BARBARA H; [email-masked]
> Subject: Re: [v6ops] (S)NTP in 6204bis
> 
> RFC 5908 !?  :)
> 
> Best regards,
> Hans
> 
> On Mon, Apr 30, 2012 at 8:33 PM, Hemant Singh (shemant)
> <[email-masked]> wrote:
> > Barbara,
> >
> > Section 7 of RFC 5098 is the Acknowledgements section.  Is RFC 5098
> > the correct RFC?
> >
> > Thanks,
> >
> > Hemant
> >
> > -----Original Message-----
> > From: [email-masked] [mailto:[email-masked]] On Behalf
> > Of STARK, BARBARA H
> > Sent: Monday, April 30, 2012 8:06 AM
> > To: [email-masked]
> > Subject: [v6ops] (S)NTP in 6204bis
> >
> > A colleague of mine pointed out to me that 6204 and 6204bis reference
> > RFC 4075 for the DHCPv6 SNTP server option, and that RFC 5098 claims
> > in the body of its text (section 7) to deprecate 4075. Should we be
> > recommending use of 4075 or 5098 in 6204(bis)?
> > Barbara
> > _______________________________________________
> > v6ops mailing list
> > [email-masked]
> > https://www.ietf.org/mailman/listinfo/v6ops
> > _______________________________________________
> > v6ops mailing list
> > [email-masked]
> > https://www.ietf.org/mailman/listinfo/v6ops
> 
> 
> 
> --
> Instead of following the fashion, we lead it through.

---

From: "Hemant Singh (shemant)" <[email-masked]>
Date: Fri, 4 May 2012 03:12:23 -0500

I began editing rfc6204bis for SNTP and then realized an interesting issue.  RFC 5908 defines a FQDN DHCPv6 suboption only for NTPv4 as defined in RFC 5905.  Rfc6204bis calls out for use of SNTP as defined in RFC 2030.  Anyone mind if rfc6204bis changes from RFC 2030 to RFC 5905?

Thanks,

Hemant

-----Original Message-----
From: STARK, BARBARA H [mailto:[email-masked]] 
Sent: Monday, April 30, 2012 9:30 AM
To: Hans Liu; Hemant Singh (shemant)
Cc: [email-masked]
Subject: RE: [v6ops] (S)NTP in 6204bis

Yes, thanks. 5908.
Barbara

---

From: Daniel Roesen <[email-masked]>
Date: Mon, 7 May 2012 20:59:33 +0200

On Fri, May 04, 2012 at 03:12:23AM -0500, Hemant Singh (shemant) wrote:
> RFC 5908 defines a FQDN DHCPv6 suboption only for NTPv4 as defined in
> RFC 5905. Rfc6204bis calls out for use of SNTP as defined in RFC 2030.
> Anyone mind if rfc6204bis changes from RFC 2030 to RFC 5905?

Good point, and agreed to the change.

2030 got obsoleted by 4330 which in turn got obsoleted by 5905 as 5905
includes SNTPv4. Consequently replacing the 2030 with a 5905 reference
seems to be correct.

Best regards,
Daniel

-- 
CLUE-RIPE -- Jabber: [email-masked] -- dr@IRCnet -- PGP: 0xA85C8AA0